classification
Title: Implement Py_TPFLAGS_METHOD_DESCRIPTOR
Type: enhancement Stage: resolved
Components: Interpreter Core Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Mark.Shannon, inada.naoki, jdemeyer, miss-islington, petr.viktorin
Priority: normal Keywords: patch

Created on 2019-05-15 08:39 by jdemeyer, last changed 2019-06-17 12:12 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 13338 merged jdemeyer, 2019-05-15 11:12
PR 13865 merged jdemeyer, 2019-06-06 13:54
PR 14155 merged miss-islington, 2019-06-17 11:53
Messages (4)
msg342554 - (view) Author: Jeroen Demeyer (jdemeyer) * (Python triager) Date: 2019-05-15 08:39
The new flag Py_TPFLAGS_METHOD_DESCRIPTOR proposed in PEP 590 is meant for classes whose instances behave like unbound methods. In other words, it's meant for objects supporting the LOAD_METHOD optimization. There are two such classes in CPython: function and method_descriptor. But the goal is to enable more such classes.

This is independent from the rest of PEP 590 so let's implement it separately.
msg343770 - (view) Author: Petr Viktorin (petr.viktorin) * (Python committer) Date: 2019-05-28 12:43
New changeset eb65e2443ac21739baf6d373abc7b4638b9d6927 by Petr Viktorin (Jeroen Demeyer) in branch 'master':
bpo-36922: implement PEP-590 Py_TPFLAGS_METHOD_DESCRIPTOR (GH-13338)
https://github.com/python/cpython/commit/eb65e2443ac21739baf6d373abc7b4638b9d6927
msg345848 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2019-06-17 11:53
New changeset 2e9954d3472a23919b96323fcd5bb6c1d6927155 by Inada Naoki (Jeroen Demeyer) in branch 'master':
bpo-36922: use Py_TPFLAGS_METHOD_DESCRIPTOR in lookup_maybe_method() (GH-13865)
https://github.com/python/cpython/commit/2e9954d3472a23919b96323fcd5bb6c1d6927155
msg345849 - (view) Author: miss-islington (miss-islington) Date: 2019-06-17 12:12
New changeset 988fff5d0e7fccecbf776c08ec56695820b3b4a8 by Miss Islington (bot) in branch '3.8':
bpo-36922: use Py_TPFLAGS_METHOD_DESCRIPTOR in lookup_maybe_method() (GH-13865)
https://github.com/python/cpython/commit/988fff5d0e7fccecbf776c08ec56695820b3b4a8
History
Date User Action Args
2019-06-17 12:12:55miss-islingtonsetnosy: + miss-islington
messages: + msg345849
2019-06-17 11:53:53miss-islingtonsetpull_requests: + pull_request13997
2019-06-17 11:53:26inada.naokisetnosy: + inada.naoki
messages: + msg345848
2019-06-06 13:54:33jdemeyersetpull_requests: + pull_request13741
2019-05-28 12:44:39petr.viktorinsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-05-28 12:43:04petr.viktorinsetmessages: + msg343770
2019-05-15 11:12:55jdemeyersetkeywords: + patch
stage: patch review
pull_requests: + pull_request13250
2019-05-15 08:39:45jdemeyercreate